#!/usr/bin/env python3

from tentacles.store import Store


def test_store_initializes(store: Store):
    assert isinstance(store, Store)


def test_store_savepoint(store: Store):
    obj = store.savepoint()

    assert hasattr(obj, "__enter__")
    assert hasattr(obj, "__exit__")

    flag = False
    with obj:
        flag = True
    assert flag
